<template>
	<div class="view">
		<div v-for="game in games" :key="game.number" class="card">
			<h3>{{ game.name }}</h3>
			<p>{{ game.description }}</p>
			<p class="number">#{{ game.number }}</p>
		</div>
	</div>
</template>

<script>
export default {
	name: "Games",
	props: ["games"]
};
</script>

<style lang="scss" scoped>
.view {
	width: 100%;
	max-height: 100vh;
	overflow: auto;
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
	grid-auto-rows: 200px;
	padding: 40px;
}
.card {
	background: rgba(243, 44, 44, 0.8);
	text-align: left;
	padding: 20px;
	z-index: 10;
	position: relative;
	margin: 10px;
	overflow: hidden;
	&::after {
		content: "";
		position: absolute;
		bottom: -30px;
		right: -30px;
		height: 60px;
		width: 60px;
		transform: rotate(45deg);
		background-color: #242424;
	}
	h3 {
		font-weight: bold;
		font-size: 32px;
		text-align: left;
	}
	p {
		font-size: 18px;
		margin: 1rem 0;
	}
	.number {
		position: absolute;
		right: 40px;
		bottom: 0;
	}
}
</style>
